﻿using System.Diagnostics;
using System.Windows.Controls;
using System.Windows.Media;
using GalaSoft.MvvmLight.Messaging;

namespace MvvmChrono
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Messenger.Default.Register<GenericMessage<string>>(this, m=>
                                                                         {
                                                                             if (m.Content != "TICK") return;
                                                                             this.meTick.Stop();
                                                                             this.meTick.Play();
                                                                         });
            Messenger.Default.Register<PropertyChangedMessage<double>>(this,m=>
                                                                                {
                                                                                    if (m.PropertyName != "SecondAngle")
                                                                                        return;
                                                                                    ((CompositeTransform)
                                                                                     Needle.RenderTransform).
                                                                                        Rotation =
                                                                                        (double)
                                                                                        Resources["InitialNeedleAngle"] +
                                                                                        m.NewValue;
                                                                                });
        }
    }
}
